All Collections
Getting Started
Troubleshooting
Does Amplify software work with Firefox or Edge?
Does Amplify software work with Firefox or Edge?
Updated over a week ago

Does Amplify software work with Firefox or Edge?

At this time, Amplify software is designed for use with Chrome or Safari browsers. Firefox and Edge are not supported.

Did this answer your question?